安装swoole扩展但是加载不出来

  1. 环境:Windows上装的virtualBox虚拟机和vagrant,然后在虚拟机上安装了centos7系统。PHP版本是8.1.0(源码包安装的)
  2. swoole 就是按照官方文档进行安装的(也是源码包方式),安装完以后在php.ini文件里添加了 extension=swoole.so 但是 php -m | grep swoole 查看并没有swoole扩展。
  3. 然后我去查看了swoole官方安装问题看了下,也没有解决我的问题。官方推荐用php --ri swoole 命令查看,但是一样没有swoole。
  4. 因为我只安装了php8.1,所以php.ini只有一个,不存在修改其他php.ini的情况,所以这个原因也可以排除了。
  5. php.ini里swoole扩展路径使用绝对路径也试过不好使。配置文件
  6. 我看网上说编译安装的时候,需要指定php-config的绝对路径(但是这个是针对存在多版本php的情况),其实我编译安装swoole的时候也指定了php-config的绝对路径。
  7. 网上说要确保swoole扩展在php扩展目录下,我查看了也在啊。php扩展目录
  8. 补充:我安装的swoole版本:5.0.1
  9. 昨天折腾了一天,也没解决这个问题。到现在为止,已经想不出还有哪些可能的原因了。请路过的大佬指点一二!!!万分感谢!
最佳答案

php -vphp --ini 贴一下

3周前 评论
bneglect (楼主) 3周前
php_yt (作者) 3周前
php_yt (作者) 3周前
bneglect (楼主) 3周前
bneglect (楼主) 3周前
bneglect (楼主) 3周前
讨论数量: 17

对了,忘记说了,补充一下我安装的swoole版本:5.0.1

4周前 评论

改了php.ini文件后执行 php -m 命令,如果有扩展加载不成功,应该有报错信息的,看看错误是什么

3周前 评论
bneglect (楼主) 3周前

file 这个就是执行php -m 结果截图,没有报错信息

3周前 评论

php -vphp --ini 贴一下

3周前 评论
bneglect (楼主) 3周前
php_yt (作者) 3周前
php_yt (作者) 3周前
bneglect (楼主) 3周前
bneglect (楼主) 3周前
bneglect (楼主) 3周前

如果是centos的话,不建议源码编译,因为有非常成熟的二进制包安装。 参考我的文章《快如闪电的安装php7.4套件(centos 7) 》,里面也包括了swoole的安装。

3周前 评论
bneglect (楼主) 3周前

讨论应以学习和精进为目的。请勿发布不友善或者负能量的内容,与人为善,比聪明更重要!